Welcome to Switch Center

Switch Center is a complete management suite for network switches that helps to discover, monitor and analyze your network connectivity and performance. Switch Center can discover any manageable switch or hub that supports SNMP BRIDGE-MIB and provides real-time solution for network maintenance.

Switch Center offers an easy approach of management for your network switches and nodes and makes your network maintenance simple and easy.

Real-time Monitor. Switch Center monitors your network switches and nodes including their current activity, keeping you aware of any change in your current network configuration and status.

Real-time Views. Switch Center displays graphical views of your current network and performance including all connectivity links between your network entities, giving you a complete control of your network.

Real-time Reports. Switch Center creates online reports that help you collect specific information about your network configuration and activity and gives you the ability to add your own reports that best suit your needs.

Real-time Alerts. Switch Center displays online alerts that help you to analyze your current network status and other potentially unwanted activity that may affect your network including forwarding the alerts using email or SNMP traps.


Using Switch Center

It's important to use the appropriate settings for Switch Center to fully support your network configuration. From the main menu select the Options submenu and click over the Settings option. The settings option is divided to several categories that have to be set properly to support your network configuration.

Local settings. By default Switch Center installs one server and one viewer on the platform that runs the installation. If you would like to add several viewers for other users you can run the installation using the viewer option only. After installing the viewer you have to add a new server to the viewer by setting the installation directory of the server and make it as the default server using the servers options of the local settings screen.

SNMP settings. By default Switch Center uses SNMPv1 public community to perform SNMP queries on your network switches and routers. If the read community of your network switches and routers was set to other value than public or to SNMPv3 you have to set the correct settings using the additional options of the SNMP settings screen.

Switches settings. By default Switch Center discovers your network switches from the networks that are directly connected to the platform that runs Switch Center software or from the ARP table of your network routers. If you would like to speed the discovery process add your switches networks using the remote switches networks option on the discovery options of the switches settings screen.

Save settings. After selecting the appropriate settings of each category make sure to click the Save button at the bottom right side of the screen in order to start using them.

More Information
Options
Local Settings
Snmp Settings
Switches Settings


Troubleshoot

In order to verify the availability and appropriate settings of specific network device, open the Tools submenu from the main menu and click over the Scan Device option.

Scan device. Set the device IP address and the appropriate SNMP configuration settings and click the Start Scan button to start scanning the device. Wait while the device scanning will be finished to have the summary status results of the selected device.

More Information
Options
Snmp Settings
Switches Settings


About Switch Center

Congratulations for choosing Switch Center to help manage your network switches and nodes. Switch Center is powerful SNMP network monitoring software that discovers your network configuration and activity and maps your network nodes to their physical port location. Switch Center helps to protect your network from potentially unwanted activity and make your network maintenance easy.

More Information
System Requirements
Copyright and License


System Requirements

To use Switch Center, your computer must have one of the following Windows operating systems:

Windows Vista Ultimate/Home/Business Edition
Windows XP Professional/Home Edition
Windows 2003 Server
Windows 2000

Your computer must also meet the following minimum requirements.

Operating system Requirements:

  • Intel Pentium processor (or compatible) at 800 MHz or higher
  • 256MB of RAM
  • 20 MB of available hard disk space
  • Internet Explorer 6.0 or later

    • General Requirements:
    When installing the software please make sure you have administrator privileges.


Copyright and License

All copyrights to Switch Center are exclusively owned by the author of this software. Anyone may use this software for evaluation purpose. Evaluation version only allows you to use as testing, if you wish to remove the limitation, you MUST register. Once registered, the user is granted a non-exclusive license to use Security Center on one computer (i.e. a single CPU) at a time, for any legal purpose. The registered Switch Center software may not be rented or leased, but may be permanently transferred, if the person received it and agreed to the terms of this license. If the software is an update, the transfer must include the update and all previous versions. The Switch Center unregistered shareware version may be freely distributed provided the whole or any part of the distribution package is not modified or damaged. No person or company can charge a fee for the distribution of Switch Center without the permission from the copyright holder.

SWITCH CENTER IS DISTRIBUTED "AS IS". NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE THIS SOFTWARE AT YOUR OWN RISK. THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.

You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution. All rights not expressly granted here is reserved by the author of this software. Installing and using Switch Center signifies acceptance of the terms and conditions of this license. If you do not agree with the terms of this license you must remove Switch Center files from your storage devices and cease to use the product.


Real-time Monitor

The real-time monitor screen provides access to Switch Center scanners and network entities. From this screen you can monitor the status of the scan engines, as well as the scanning details of your network entities.

Run new scan. Click this button to delete all previously discovered network entities and start a new network scan. You can modify the scan Settings using the Scan Options screen or by clicking the Monitor Scanners button.

Switch Center Scan Options:

Full switches scan. Select this option to enable the following Switch Center scanners:

Scan switch ports. Select this option to have Switch Center discover your switches ports activity and help you analyze their current status and thresholds.

Scan mac addresses. Select this option to have Switch Center discover your switches Macs and help you identify your network entities and their connectivity.

Scan ip addresses. Select this option to have Switch Center collect your switches and IP addresses from your routers and help you manage your network and its current configuration.

Scan node names. Select this option to have Switch Center check your switches and node names from your DNS servers and help you manage your current network entities easily.

Scan node types. Select this option to have Switch Center check your nodes types and help you manage which type of software is running on each one of your nodes.

Scan user names. Select this option to have Switch Center collect the user names of the current logged in nodes and help you manage your network nodes and their activity easily.

Disable all scanners. Select this option to disable all the above scanners and have Switch Center discover only your network switches and their current status.

More Information
Switches Monitor
Nodes Monitor
Status Monitor


Switches Monitor

The switches monitor screen enables to view and manage the network switches that are currently monitored by the system. Available options are:

List options. Select any of the options below to control the display of the currently monitored switches. Available options are:

Filter by type. Use this option to filter some of the currently monitored switches by specific built-in category or use specific text filter by using the user-define category.

Search. Use this option to find a specific switch from the list of the currently monitored switches using its mac, ip or name properties.

Refresh switches monitor. Use this option to reload and refresh the list of the currently monitored switches.

Create switches report. Use this option to create a report of the currently displayed switches for export or printing.

Switch options. Select specific switch from the list in order to manage and view its details. Available options are:

Switch details. Use this option to view and control the ports and connections of specific network switch.

Manage switch. Use this option to select or change the management operation of specific switch and its ports.

Set switch information. Use this option to modify or change the information of specific switch for easy identification.

Remove selected switches. Use this option to remove the currently selected switches from the system database.

Learn more about this switch. Use this option to view all currently known details of the selected switch and its ports.


Nodes Monitor

The nodes monitor screen enables to view and manage the network nodes that are currently monitored by the system. Available options are:

List options. Select any of the options below to control the display of the currently monitored nodes. Available options are:

Filter by type. Use this option to filter part of the currently monitored nodes by specific built-in category or by specific text filter using the user-define category.

Search. Use this option to find a specific node from the list of the currently monitored nodes using its mac, ip, name or location properties.

Refresh nodes monitor. Use this option to reload and refresh the list of the currently monitored nodes.

Create nodes report. Use this option to create a report of the currently displayed nodes for export or printing.

Node options. Select specific node from the list in order to manage and view its details. Available options are:

Set node information. Use this option to modify or change the information of specific node for easy identification.

Remove selected nodes. Use this option to remove the currently selected nodes from the system database.

Learn more about this node. Use this option to view all currently known details of the selected node and its connection.


Status Monitor

The status monitor screen enables to view a report of the system scanners status and their last activity. Available scanners are:

Switches scan. The switches scan reports the discovery status of new network switches.

Ports scan. The ports scan reports the discovery status of the ports of your network switches and their current activity and status.

Mac scan. The mac scan reports the discovery status of the physical addresses that are currently connected to your network switches.

Ip scan. The Ip scan reports the discovery status of the network addresses that are currently connected to your network routers.

Names scan. The names scan reports the discovery status of the network names that your switches and nodes are currently using.

Users scan. The users scan reports the discovery status of the users that are currently logged in to your network nodes.


Real-time Views

The real-time views screen provides access to Switch Center visual display of your current network. From this screen you can graphically analyze your current network entities connectivity and their performance. Available options are:

Network view. Select this option to view Switch Center details regarding your current network entities connectivity.

Performance view. Select this option to view Switch Center details regarding your current network utilization usage and errors.

More Information
Network View
Performance View


Network View

The network view screen enables to view the network switches connectivity map including details about all ports and nodes that are currently connected to your network. Available options are:

Network options. Select any of the options below to control the display of the currently selected network view. Available options are:

Update view. Use this option to update the currently selected network view and reload its current details.

Find/Trace. Use this option to locate specific network entity on the view using its mac, ip or name properties.

View options. Use this option to change the display of the currently selected network view using different titles and display filters. Use the Save options button to keep your selected options.

Switches options. Select any of the network switches and right click over it to view, connect or explore the selected switch. Available options are:

Network view. Use this option to return back to the main network view connectivity map.

Switch view. Use this option to view the selected switch entities and their connectivity details.


Performance View

The performance view screen enables to view the overall network switches performance including details about their top utilization and errors ports that are currently connected to your network. Available options are:

Performance options. Select any of the options below to control the display of the currently selected performance view. Available options are:

Update view. Use this option to update the currently selected performance view and reload its current details.

Set/Top 10. Use this option to locate specific network switch performance or view the top 10 performance ports of your network.

View options. Use this option to change the display of the currently selected performance view using different titles and display filters. Use the Save options button to keep your selected options.

Switches options. Select all network switches or specific network switch to view its performance details. Available options are:

Utilization. Use this option to view the top utilization ports and their details.

Usage. Use this option to view the top usage ports and their details.

Broadcasts. Use this option to view the top broadcasts ports and their details.

Errors. Use this option to view the top errors ports and their details.


Real-time Reports

The real-time reports screen provides access to Switch Center database information. From this screen you can create your own reports using your preferred view and style or use the built-in reports to collect your current network details and analyze them in the way that best suits your needs. Available options are:

Add report. Select this option to create new Switch Center database report that best suit your needs.

Built-in reports. Select this option to view Switch Center database reports that suit most common user needs.

User-define reports. Select this option to view Switch Center database reports that was created using Add Report option.

More Information
Add Reports
Built-in Reports
User-define Reports


Add Reports

The add report screen enables to create a user-define report using your own view and style.

Report options. Select any of the report options and fill the appropriate details. Available options are:

Report name. Use this option to select a unique name for your report.

Description. Use this option to add a description for your report.

Report list. Use this option to add, modify or remove query properties to your report.

Properties options. Select any of the report properties or add a new report property to create your own view and style. Available options are:

Visible. Use this option to select if the specified property will be a visible field in the report.

Width. Use this option to pre select the width of the specified property of the report.

Source. Use this option to select the data source of report property (ie: switches, ports, nodes).

Field. Use this option to select the data field information you would like to display for the specified source.

Condition. Use this option to select a specific condition you would like to set for the specified field.


Built-in Reports

The built-in reports screen enables to view pre defined reports that was built to provide most common users needs. Available options are:

Direct nodes. Use this option to select a report of currently discovered nodes that have a unique connection to specific port.

Indirect nodes. Use this option to select a report of currently discovered nodes that share a connection to specific port with other nodes.

Network health. Use this option to select a report of currently discovered ports that have high counters of selected utilization or errors rates.

Unused ports. Use this option to select a report of currently discovered ports that not connected to any nodes and can be used for new nodes connection.


User-define Reports

The user-define reports screen enables to view the reports that was created using your own view and style. Available options are:

Remove selected reports. Use this option to select reports that you would like to delete from the currently available reports list.

Edit/Modify selected report. Use this option to select a report that you would like of edit or modify its current properties.

View currently selected report. Use this option to select a report that you would like to view its current data collection.


Real-time Alerts

The real-time alerts screen provides access to Switch Center alerts and events. From this screen you can view your current and historical alerts and analyze potential network malfunction before it can cause severe damage to your network. Available options are:

State Alerts. Select this option to view Switch Center messages regarding changes in the activity state of your network entities.

Threshold Alerts. Use this option to view Switch Center messages regarding threshold changes of your network entities.

More Information
State Alerts
Threshold Alerts


State Alerts

The state alerts screen enables to track events regarding changes in the activity state of specific entities of your network.

List options. Select any of the options to control the currently displayed alerts. Available options are:

View archived alerts. Use this option to load specific archived alerts log file that was saved for analyze it historically.

Create alerts report. Use this option to create a report of currently displayed alerts for export or printing.

Archive current alerts. Use this option to save the currently displayed alerts in archived log file for analyze it historically.

Clear current alerts. Use this option to delete all currently displayed alerts.

Alert options. Select specific alert from the list in order to manage and view its details. Available options are:

Remove selected alerts. Use this option to delete the currently selected alerts.

Learn more about this alert. Use this option to have more information about the currently selected alert.


Threshold Alerts

The state alerts screen enables to track events regarding changes in the activity threshold of specific entities of your network. Available options are:

List options. Select any of the options to control the currently displayed alerts. Available options are:

View archived alerts. Use this option to load specific archived alerts log file that was saved for analyze it historically.

Create alerts report. Use this option to create a report of currently displayed alerts for export or printing.

Archive current alerts. Use this option to save the currently displayed alerts in archived log file for analyze it historically.

Clear current alerts. Use this option to delete all currently displayed alerts.

Alert options. Select specific alert from the list in order to manage and view its details. Available options are:

Remove selected alerts. Use this option to delete the currently selected alerts.

Learn more about this alert. Use this option to have more information about the currently selected alert.


Options

The options menu provides access to personalize Switch Center to your environment and needs. Available options are:

Settings. Select this option to change the default settings of Switch Center by using a specific category from the left of the screen. Use the Save button at the bottom right side of the screen after changing any parameter in order to start using it.

Update Now. Select this option to reload the current Switch Center details to your viewer. Use this option to force Switch Center updating instead of waiting to the standard update interval.

Start/Stop Server. Select this option to turn on or off the operation of the server that is currently connected.

Connect Server. Select this option to connect to specific server from the menu. To add or remove servers from the list use the Local Settings option.

Service Status. Select this option from the upper display bar to view the current service status or to control its current operation by clicking the display button.

Switches Status. Select this option from the upper display bar to view the current switches status or to control the status of the inactive switches by clicking the display button.

More Information
Local Settings
Access Settings
Snmp Settings
Switches Settings
Nodes Settings
Alerts Settings


Local Settings

The local settings screen enables to control the local viewer properties that best suites your needs.

Viewer options. Select any of the options below to control the preferred viewing properties. Available options are:

Start on reboot. Use this option to start the viewer automatically each time you reboot your computer.

View options. Use this option to enable advanced viewing options including popup messages for new discovered alerts and automatic views updating.

Servers options. Select any of the options below to enable viewing of remote Switch Center servers. Available options are:

Add server. Use this option to add a new server by selecting the installation folder of the remote server.

Delete server. Use this option to delete an exist server from the current available servers list.

Connect server. Use this option to open a connection to specific server from the current servers list.

Rename server. Use this option to change the name of a specific server from the current servers list by right click on server.

Default server. Use this option to set the default connection of the viewer to specific server from the current servers list by right click on server.


Access Settings

The access settings screen enables to control the accessibility properties of the software.

Export options. Select any of the options below to control the exporting methods of the currently selected Switch Center server. Available options are:

HTML export. Use this option to automatically export the currently selected server database to HTML files using your selected directory and data fields.

SQL export. Use this option to automatically export the currently selected server database to SQL/Access database using your selected data fields.

Users options. Select any of the options below to control the users accessibility to the currently selected Switch Center server. Available options are:

Add user. Use this option to add a new user to the currently selected server by selecting its username, computer and permissions.

Delete user. Use this option to delete an exist user from the currently selected server.

User permissions. Use this option to view or modify the permissions of specific user from the currently selected server.


Snmp Settings

The SNMP settings screen enables to control the SNMP properties of the software that will be used to query your network switches and routers.

Timing options. Select any of the options below to control the SNMP timing capabilities of the currently selected Switch Center server. Available options are:

Waiting time. Use this option to set the time that the currently selected server will be used to wait for an SNMP response.

Retry queries. Use this option to set the number of retries that the currently selected server will be used when there is no SNMP response.

Additional options. Select any of the options below to control the SNMP parameters that will be used by the currently selected Switch Center server. Available options are:

SNMPv1 public community. Use this option to enable the SNMPv1 public community on the currently selected server.

SNMPv1 additional communities. Use this option to add or remove specific SNMPv1 communities from the currently selected server.

SNMPv3 setting parameters. Use this option to set or remove SNMPv3 parameters and optional networks from the currently selected server.


Switches Settings

The switches settings screen enables to control the network switches that will be discovered by the software.

Scanning options. Select any of the options below to control the switches scanning process of the currently selected Switch Center server. Available options are:

New switches. Use this option to set the delay time between each new switches discovery cycle of the currently selected server database.

Auto-remove switches. Use this option to set the maximum time that inactive switches will remain in the currently selected server database.

Discovery options. Select any of the options below to control the switches discovery process of the currently selected Switch Center server. Available options are:

Local default gateway. Use this option to enable switches discovery using SNMP on the default gateway of the currently selected server.

Local direct networks. Use this option to enable switches discovery from networks that are directly connected to the currently selected server.

Remote routers. Use this option to add SNMP remote routers to the switches discovery list of the currently selected server.

Remote networks. Use this option to enable switches discovery from the SNMP ARP table of remote routers that was found on networks of the currently selected server.

Switches performance. Use this option to set specific discovery speed for the Ports, Macs and Ip scanners by changing the number of multiple scanning threads of the currently selected server.

Permanent connections. Use this option to set permanent switches interconnecting links between specific switches on the currently selected server.

Exclude list. Use this option to set list of networks or vendors that will be excluded from the switches discovery process of the currently selected server.


Nodes Settings

The nodes settings screen enables to control the network nodes that will be discovered by the software.

Scanning options. Select any of the options below to control the nodes scanning process of the currently selected Switch Center server. Available options are:

New nodes. Use this option to set the delay time between each new nodes discovery cycle of the currently selected server database.

Auto-remove nodes. Use this option to set the maximum time that inactive nodes will remain in the currently selected server database.

Discovery options. Select any of the options below to control the nodes discovery process of the currently selected Switch Center server. Available options are:

Local default gateway. Use this option to enable nodes discovery using SNMP on the default gateway of the currently selected server.

Local direct networks. Use this option to enable nodes discovery from networks that are directly connected to the currently selected server.

Remote routers. Use this option to set nodes discovery from specific router addresses that located on networks of the currently selected server.

Remote files. Use this option to set nodes discovery from files that includes Mac and IP/Name of specific nodes that located on networks of the currently selected server.

Exclude list. Use this option to set list of networks that will be excluded from the nodes discovery process of the currently selected server.


Alerts Settings

The alerts settings screen enables to control the alerts collection of the software.

Scanning options. Select any of the options below to control the alerts scanning process of the currently selected Switch Center server. Available options are:

New alerts. Use this option to set which type of alerts will be collected by the currently selected server.

Monitor alerts. Use this option to set the display of alerts severity bars on the monitor switches screen of the currently selected server.

Forwarding options. Select any of the options below to control the alerts that will be sent by the currently selected Switch Center server. Available options are:

E-mail forwarding. Use this option to set the email properties that will be used by the currently selected server to forward alerts using email.

Snmp forwarding. Use this option to set the SNMP properties that will be used by the currently selected server to forward alerts using SNMP traps.

Syslog forwarding. Use this option to set the SYSLOG properties that will be used by the currently selected server to forward alerts using SYSLOG messages.